#! /usr/bin/env python3
# -*- coding:utf-8 -*-

import binascii
from serial import *

if __name__ == "__main__":
	port = '/dev/ttyMH920'
	# Get Mac Address Request
	command = '7e100009108f8f0183000100017e'

	try:
		ser = Serial(port, 115200, timeout=5)
		print('open serial port: {}'.format(port))
	except Exception as err:
		print('cannot open serial port: {}'.format(port))
		print('error reason: {}'.format(err))
		exit(1)

	receive_data = []
	counter = 0
	try:
		ser.write(binascii.a2b_hex(command))
		print('write serial data: {}'.format(command))
	except Exception as err:
		print('cannot write serial data: command = {}: error = {}'.format(command, err))
		exit(1)

	while True:
		try:
			s = ser.read()
		except Exception as err:
			print('cannot read serial port: {}'.format(port))
			print('error reason: {}'.format(err))
			exit(1)
		hex = binascii.hexlify(s).decode('ascii')
		#print(hex)
		receive_data.append(hex)
		if hex == '7e':
			print('receive sync code: hex = {}'.format(hex))
			counter += 1
		if counter == 2:
			break

	if receive_data[7] == '02' and receive_data[8] == '83':
		print('Success to get mac address')
	else:
		print('Failed to get mac address')
		exit(1)

